Skip to main content
cancel
Showing results for 
Search instead for 
Did you mean: 

Find everything you need to get certified on Fabric—skills challenges, live sessions, exam prep, role guidance, and more. Get started

Data Source Credential error upon using OAuth 2.0 to Refresh ADL data

I made many powerbi reports that I published to the service with success.
The reports daily refresh has worked up to yesterday without problems.
Now the reports are reporting refresh problems:
Last refresh failed: Fri Dec 14 2018 14:03:46 GMT+0200 (FLE Standard Time)
It looks like the refresh token expired. Please go to this dataset's settings page, and reenter the OAuth2 credentials for the Extension data source.
Show details
 
When I enter my credentials using OAuth2, I get two errors:
 1.  You need to use SSL (HTTPS) when you use OAuth 2.0 authentication.        
 2.  Message: AADSTS90015: Requested query string is too long.
 
Everything works great on Power BI Desktop.
Status: New
Comments
mauustal
Frequent Visitor

The browser is Edge, in Chrome I cannot open the Power BI at all.

v-qiuyu-msft
Community Support

Hi @mauustal,

 

When you edit credential and error occurs, there should have detail error information display, eg: RequestID, ClusterURl, Time. Please share these information with us.

 

Best Regards,
Qiuyun Yu 

mauustal
Frequent Visitor

PBI_181214.png

 

 

v-qiuyu-msft
Community Support

Hi @mauustal,

 

Would you please share your Power BI cluster information, you can find it follow this article: https://docs.microsoft.com/en-us/power-bi/service-admin-where-is-my-tenant-located#how-to-determine-...

 

Best Regards,
Qiuyun Yu 

mauustal
Frequent Visitor

Hi Qiuyun,

 

Power BI

Version13.0.7840.101
Activity ID94872558-eb02-4f8c-9f39-5a8700f189b4
TimeThu Dec 20 2018 13:22:56 GMT+0200 (FLE Standard Time)
Your data is stored inWest Central US (MSIT)

v-qiuyu-msft
Community Support

Hi @mauustal,

 

I didn't find the error information in internal trace, it seems the action is not logged. For this issue, I would suggest you create a support ticket to let engineers look into the issue on your side. 

 

Support Ticket.gif

 

Best Regards,
Qiuyun Yu 

pattersonm8
Helper II

was there a resolution, I have the same issue

mauustal
Frequent Visitor

I guess you have to create support ticket, my problem was solved by Power BI support.


YohanEisenbah
New Member

I was coming across the message “You need to use SSL (HTTPS) when you use OAuth 2.0 authentication”. I resolved the issue by following these steps:

  1. Make sure that your browser allows pop-ups.
  2. If you're not using Microsoft Edge and the error persists after enabling pop-ups, consider switching to Microsoft Edge.

I found this helpful checklist here: link.